package com.liquidnet.service.goblin.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 购物车表
 * </p>
 *
 * @author liquidnet
 * @since 2021-12-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class GoblinShoppingCart implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "mid", type = IdType.AUTO)
    private Long mid;

    /**
     * 购物车id
     */
    private String carId;

    /**
     * 用户id
     */
    private String userId;

    /**
     * 商铺id
     */
    private String storeId;

    /**
     * 商品id
     */
    private String spuId;

    /**
     * 款式id
     */
    private String skuId;

    /**
     * 数量
     */
    private Integer number;

    /**
     * 默认的营销id[活动id]
     */
    private String marketingId;

    /**
     * 删除标记[0-未删除|1-已删除]
     */
    private Integer delTag;

    private LocalDateTime createdAt;

    private LocalDateTime updatedAt;

    private String comment;


}
